process-cpp: impl::Frame Struct Reference

process-cpp 3.0.0 A simple convenience library for handling processes in C++11.

Classes | Public Member Functions | Public Attributes | List of all members
impl::Frame Struct Reference
Inheritance diagram for impl::Frame:
Collaboration diagram for impl::Frame:

## Classes
struct | Symbol

## Public Member Functions
| Frame (std::size_t depth, void *frame_pointer, const char *symbol)
std::size_t | depth () const
| depth returns the depth of this frame in the overall backtrace. More...
virtual void * | frame_pointer () const
| frame_pointer returns the the raw frame pointer of this frame. More...
const Symbol & | symbol () const
| symbol returns the symbolic representation of this frame. More...
Public Member Functions inherited from core::posix::backtrace::Frame
| Frame (const Frame &)=delete
virtual | ~Frame ()=default
Frame & | operator= (const Frame &)=delete

## Public Attributes
std::size_t | depth_
void * | frame_pointer_
Symbol | symbol_

## Additional Inherited Members
Protected Member Functions inherited from core::posix::backtrace::Frame
| Frame ()=default

## Detailed Description

Definition at line 48 of file backtrace.cpp.

## Constructor & Destructor Documentation

## ◆ Frame()

impl::Frame::Frame | ( | std::size_t | depth,
|  | void * | frame_pointer,
|  | const char * | symbol
| ) |  |
| inline

Definition at line 96 of file backtrace.cpp.

## Member Function Documentation

## ◆ depth()

std::size_t impl::Frame::depth | ( |  | ) | const
| inlinevirtual

depth returns the depth of this frame in the overall backtrace.

Implements core::posix::backtrace::Frame.

Definition at line 103 of file backtrace.cpp.

References depth_.

## ◆ frame_pointer()

virtual void* impl::Frame::frame_pointer | ( |  | ) | const
| inlinevirtual

frame_pointer returns the the raw frame pointer of this frame.

Returns

Implements core::posix::backtrace::Frame.

Definition at line 108 of file backtrace.cpp.

References frame_pointer_.

## ◆ symbol()

const Symbol& impl::Frame::symbol | ( |  | ) | const
| inlinevirtual

symbol returns the symbolic representation of this frame.

Implements core::posix::backtrace::Frame.

Definition at line 113 of file backtrace.cpp.

References symbol_.

## Member Data Documentation

## ◆ depth_

std::size_t impl::Frame::depth_

Definition at line 92 of file backtrace.cpp.

Referenced by depth().

## ◆ frame_pointer_

void* impl::Frame::frame_pointer_

Definition at line 93 of file backtrace.cpp.

Referenced by frame_pointer().

## ◆ symbol_

Symbol impl::Frame::symbol_

Definition at line 94 of file backtrace.cpp.

Referenced by symbol().

The documentation for this struct was generated from the following file:

- /build/process-cpp/src/process-cpp-3.0.1/src/core/posix/backtrace.cpp